API referenceActions
Run
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
actionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/actions/string/run" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "actionId": "string", "workspaceId": "string", "status": "started", "startedAt": "string", "completedAt": "string", "error": "string", "result": {}, "input": {} }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}